RDKit::MCSParameters Struct Reference

`#include <FMCS.h>`

## Public Member Functions

| MCSParameters ()

## Public Attributes

bool | MaximizeBonds
double | Threshold
unsigned | Timeout
bool | Verbose
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper
MCSBondCompareFunction | BondTyper
void * | CompareFunctionsUserData
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData
MCSFinalMatchCheckFunction | FinalMatchChecker

## Detailed Description

Definition at line 61 of file FMCS.h.

## Constructor & Destructor Documentation

RDKit::MCSParameters::MCSParameters | ( |  | ) |

inline

Definition at line 75 of file FMCS.h.

## Member Data Documentation

MCSAtomCompareParameters RDKit::MCSParameters::AtomCompareParameters

Definition at line 66 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

MCSAtomCompareFunction RDKit::MCSParameters::AtomTyper

Definition at line 68 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

MCSBondCompareParameters RDKit::MCSParameters::BondCompareParameters

Definition at line 67 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

MCSBondCompareFunction RDKit::MCSParameters::BondTyper

Definition at line 69 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

void* RDKit::MCSParameters::CompareFunctionsUserData

Definition at line 70 of file FMCS.h.

MCSFinalMatchCheckFunction RDKit::MCSParameters::FinalMatchChecker

Definition at line 73 of file FMCS.h.

bool RDKit::MCSParameters::MaximizeBonds

Definition at line 62 of file FMCS.h.

MCSProgressCallback RDKit::MCSParameters::ProgressCallback

Definition at line 71 of file FMCS.h.

void* RDKit::MCSParameters::ProgressCallbackUserData

Definition at line 72 of file FMCS.h.

double RDKit::MCSParameters::Threshold

Definition at line 63 of file FMCS.h.

unsigned RDKit::MCSParameters::Timeout

Definition at line 64 of file FMCS.h.

bool RDKit::MCSParameters::Verbose

Definition at line 65 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h